# -*- coding: utf-8; -*-
"""
CORE-POS vendor views
"""

from __future__ import unicode_literals, absolute_import

from corepos.db import model as corepos

from .master import CoreMasterView


class VendorView(CoreMasterView):
    """
    Base class for vendor views.
    """
    model_class = corepos.Vendor
    model_title = "CORE-POS Vendor"
    url_prefix = '/core-pos/vendors'
    route_prefix = 'corepos.vendors'

    labels = {
        'vendorID': "ID",
        'vendorName': "Name",
        'vendorAbbreviation': "Abbreviation",
        'discountRate': "Discount Rate",
    }

    grid_columns = [
        'vendorID',
        'vendorName',
        'vendorAbbreviation',
        'discountRate',
        'contact',
    ]


def includeme(config):
    VendorView.defaults(config)
